> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Enabled Payment Methods

> Get all enabled payment methods.



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json get /finops/v1/entities/{entity_id}/payment-methods
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2025-06-23'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart VAT IDs
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Documents
  - name: Entities
  - name: Entity users
  - name: Events
  - name: Files
  - name: Identity
  - name: Ledger accounts
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: Overdue reminders
  - name: PDF templates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: VAT rates
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/entities/{entity_id}/payment-methods:
    get:
      tags:
        - Payment methods
      summary: Get Enabled Payment Methods
      description: Get all enabled payment methods.
      operationId: get_entities_id_payment-methods
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2025-06-23'
          name: x-finops-version
          in: header
        - required: true
          schema:
            type: string
            format: uuid
          name: entity_id
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnboardingPaymentMethodsResponse'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    OnboardingPaymentMethodsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/PaymentMethod'
          type: array
      additionalProperties: false
      type: object
      required:
        - data
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    PaymentMethod:
      properties:
        direction:
          $ref: '#/components/schemas/PaymentMethodDirection'
        name:
          $ref: '#/components/schemas/MoniteAllPaymentMethods'
        status:
          $ref: '#/components/schemas/PaymentMethodStatus'
        type:
          $ref: '#/components/schemas/MoniteAllPaymentMethodsTypes'
      additionalProperties: false
      type: object
      required:
        - direction
        - name
        - status
        - type
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
    PaymentMethodDirection:
      type: string
      enum:
        - receive
        - send
    MoniteAllPaymentMethods:
      type: string
      enum:
        - SEPA Payments
        - US ACH Payments
        - BLIK
        - Card payments
        - Bacs Direct Debit
        - Bancontact
        - Electronic Payment Standard
        - Giropay
        - iDEAL
        - Przelewy24
        - SEPA Direct Debit
        - SOFORT
        - Apple Pay
        - Google Pay
        - Affirm
        - Klarna
    PaymentMethodStatus:
      type: string
      enum:
        - active
        - inactive
    MoniteAllPaymentMethodsTypes:
      type: string
      enum:
        - sepa_credit
        - us_ach
        - blik
        - card
        - bacs_direct_debit
        - bancontact
        - eps
        - giropay
        - ideal
        - p24
        - sepa_debit
        - sofort
        - applepay
        - googlepay
        - affirm
        - klarna
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````